<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\Anwesenheiten\Anwesenheitseingabe;

class AnwesenheitseingabeController extends \Kufer\Web\KuferTools\Basis\Controller\ToolController
{
  
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new AnwesenheitseingabeUseCase(
      $this->getRequestObj()
    );
  }

  
  protected function getRequestObj()
  {
    $requestObj = new AnwesenheitseingabeRequest();
    $requestObj->kurstagId = \GetOperations::getVarValue('ktid');
    $requestObj->referer = \GetOperations::getVarValue('referer');
    $requestObj->hideBlaettern = \GetOperations::isDefined('hideBlaettern');

    return $requestObj;
  }

  
  protected function getPresenter($pUseCaseResponse)
  {
    return new AnwesenheitseingabePresenter($pUseCaseResponse);
  }
}